Bug 824878

Summary: [eap6] support configurable network interfaces
Product: [Other] RHQ Project Reporter: Libor Zoubek <lzoubek>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: NEW --- QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp, jshaughn, mfoley, theute
Target Milestone: ---   
Target Release: RHQ 4.13   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 825169 825171 (view as bug list) Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 825169, 826050, 707223, 825171, 825264    
Attachments:
Description Flags
edit network interface configuration exception none

Description Libor Zoubek 2012-05-24 09:57:33 EDT
Description of problem: JON should support configuring interfaces as well as adding and removing them


Version-Release number of selected component (if applicable):
JON 3.1.ER4 EAP6.ER8

How reproducible:always

  
Actual results: interface resources are read-only


Expected results:user can add/remove/configure interfaces


Additional info:AS7 Console supports managing interfaces too
Comment 1 Heiko W. Rupp 2012-05-25 05:45:15 EDT
master ae86915
Comment 2 Armine Hovsepyan 2012-07-10 11:01:23 EDT
checked Version: 3.1.0.GA
Edit configuration throws "{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-4=JBAS014677: Failed to persist configuration change: JBAS014675: Failed to marshal configuration}}, rolled-back=true" exception, while the same change can be performed in EAP admin console.

please get attached also the screen-shot with the exception.
Comment 3 Armine Hovsepyan 2012-07-10 11:01:56 EDT
Created attachment 597367 [details]
edit network interface configuration exception
Comment 4 Jay Shaughnessy 2013-09-12 11:24:49 EDT
re-target to 4.10, not sure if this is resolved or not.
Comment 5 Heiko W. Rupp 2014-05-08 10:42:50 EDT
Bump the target version now that 4.11 is out.